## org.eclipse.emf.workspace.examples.extlibrary.console
Class ConsoleUtil

    java.lang.Object
      org.eclipse.emf.workspace.examples.extlibrary.console.ConsoleUtil

    public class ConsoleUtil

extends Object

A Util Class: provides convenient API to write to the Eclipse Console View The client of println(String name, String msg) methods does not need to do any housekeeping work to use this method. All pre-work for example registering the console with the Eclipse console manager if neccessary, creating the message stream, setting the default color are handled ny the method if neccesary. However once they are done printing all there messages and have no more requirement for the console and know that the console is not shared by others they can call unregisterConsole(String name) to dispose of the console

Constructor Summary
`ConsoleUtil()`

Method Summary
`static void` `println(String name, String msg)` Convinient static method to print an string on the specified console.
`static MessageConsole` `registerConsole(String name)` Registers the console with the Eclipse Console Manager.
`static void` `showConsole(String name)` Shows the Eclipse console view and brings on top the specified console.
`static void` `unregisterConsole(String name)` Unregisters the console with the Eclipse Console Manager

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleUtil

    public ConsoleUtil()

Method Detail

### registerConsole

    public static MessageConsole registerConsole(String name)

  Registers the console with the Eclipse Console Manager.

  Parameters:
    `name` - - the name for the console
    `image` - - the image associated with the console
  Returns:
    the message console

### unregisterConsole

    public static void unregisterConsole(String name)

  Unregisters the console with the Eclipse Console Manager

  Parameters:
    `name` - - the name name for the console

### println

    public static void println(String name,
                               String msg)

  Convinient static method to print an string on the specified console. The color of the message printed is by black. The client of this method does not need to do any housekeeping work to use this method. All pre-work for example registering the console with the Eclipse console manager if neccessary, creating the message stream, setting the color are handled by the method if neccesary.

  Parameters:
    `name` - - specifies the console
    `msg` - - the message

### showConsole

    public static void showConsole(String name)

  Shows the Eclipse console view and brings on top the specified console. Also creates and registers the console with the Eclipse console manager if necessary.

  Parameters:
    `name` - - specifies the console

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.